- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QXmlStreamWriter Class Reference

Search for all occurrences

## Detailed Description

Definition at line 415 of file qxmlstream.h.

`#include <qxmlstream.h>`

List of all members.

## Public Member Functions
| QXmlStreamWriter ()
| QXmlStreamWriter (QIODevice *device)
| QXmlStreamWriter (QByteArray *array)
| QXmlStreamWriter (QString *string)
| ~QXmlStreamWriter ()
void | setDevice (QIODevice *device)
QIODevice * | device () const
void | setCodec (QTextCodec *codec)
void | setCodec (const char *codecName)
QTextCodec * | codec () const
void | setAutoFormatting (bool)
bool | autoFormatting () const
void | setAutoFormattingIndent (int spacesOrTabs)
int | autoFormattingIndent () const
void | writeAttribute (const QString &qualifiedName, const QString &value)
void | writeAttribute (const QString &namespaceUri, const QString &name, const QString &value)
void | writeAttribute (const QXmlStreamAttribute &attribute)
void | writeAttributes (const QXmlStreamAttributes &attributes)
void | writeCDATA (const QString &text)
void | writeCharacters (const QString &text)
void | writeComment (const QString &text)
void | writeDTD (const QString &dtd)
void | writeEmptyElement (const QString &qualifiedName)
void | writeEmptyElement (const QString &namespaceUri, const QString &name)
void | writeTextElement (const QString &qualifiedName, const QString &text)
void | writeTextElement (const QString &namespaceUri, const QString &name, const QString &text)
void | writeEndDocument ()
void | writeEndElement ()
void | writeEntityReference (const QString &name)
void | writeNamespace (const QString &namespaceUri, const QString &prefix=QString())
void | writeDefaultNamespace (const QString &namespaceUri)
void | writeProcessingInstruction (const QString &target, const QString &data=QString())
void | writeStartDocument ()
void | writeStartDocument (const QString &version)
void | writeStartDocument (const QString &version, bool standalone)
void | writeStartElement (const QString &qualifiedName)
void | writeStartElement (const QString &namespaceUri, const QString &name)
void | writeCurrentToken (const QXmlStreamReader &reader)

## Constructor & Destructor Documentation

QXmlStreamWriter | ( |  | ) |

QXmlStreamWriter | ( | QIODevice * | device | ) |

QXmlStreamWriter | ( | QByteArray * | array | ) |

QXmlStreamWriter | ( | QString * | string | ) |

~QXmlStreamWriter | ( |  | ) |

## Member Function Documentation

void setDevice | ( | QIODevice * | device | ) |

Search for all occurrences

QIODevice* device | ( |  | ) | const

Search for all occurrences

void setCodec | ( | QTextCodec * | codec | ) |

Search for all occurrences

void setCodec | ( | const char * | codecName | ) |

Search for all occurrences

QTextCodec* codec | ( |  | ) | const

Search for all occurrences

void setAutoFormatting | ( | bool |  | ) |

Search for all occurrences

bool autoFormatting | ( |  | ) | const

Search for all occurrences

void setAutoFormattingIndent | ( | int | spacesOrTabs | ) |

Search for all occurrences

int autoFormattingIndent | ( |  | ) | const

Search for all occurrences

void writeAttribute | ( | const QString & | qualifiedName,
|  | const QString & | value
| ) |  |

Search for all occurrences

void writeAttribute | ( | const QString & | namespaceUri,
|  | const QString & | name,
|  | const QString & | value
| ) |  |

Search for all occurrences

void writeAttribute | ( | const QXmlStreamAttribute & | attribute | ) |

Search for all occurrences

void writeAttributes | ( | const QXmlStreamAttributes & | attributes | ) |

Search for all occurrences

void writeCDATA | ( | const QString & | text | ) |

Search for all occurrences

void writeCharacters | ( | const QString & | text | ) |

Search for all occurrences

void writeComment | ( | const QString & | text | ) |

Search for all occurrences

void writeDTD | ( | const QString & | dtd | ) |

Search for all occurrences

void writeEmptyElement | ( | const QString & | qualifiedName | ) |

Search for all occurrences

void writeEmptyElement | ( | const QString & | namespaceUri,
|  | const QString & | name
| ) |  |

Search for all occurrences

void writeTextElement | ( | const QString & | qualifiedName,
|  | const QString & | text
| ) |  |

Search for all occurrences

void writeTextElement | ( | const QString & | namespaceUri,
|  | const QString & | name,
|  | const QString & | text
| ) |  |

Search for all occurrences

void writeEndDocument | ( |  | ) |

Search for all occurrences

void writeEndElement | ( |  | ) |

Search for all occurrences

void writeEntityReference | ( | const QString & | name | ) |

Search for all occurrences

void writeNamespace | ( | const QString & | namespaceUri,
|  | const QString & | prefix = `QString()`
| ) |  |

Search for all occurrences

void writeDefaultNamespace | ( | const QString & | namespaceUri | ) |

Search for all occurrences

void writeProcessingInstruction | ( | const QString & | target,
|  | const QString & | data = `QString()`
| ) |  |

Search for all occurrences

void writeStartDocument | ( |  | ) |

Search for all occurrences

void writeStartDocument | ( | const QString & | version | ) |

Search for all occurrences

void writeStartDocument | ( | const QString & | version,
|  | bool | standalone
| ) |  |

Search for all occurrences

void writeStartElement | ( | const QString & | qualifiedName | ) |

Search for all occurrences

void writeStartElement | ( | const QString & | namespaceUri,
|  | const QString & | name
| ) |  |

Search for all occurrences

void writeCurrentToken | ( | const QXmlStreamReader & | reader | ) |

Search for all occurrences

The documentation for this class was generated from the following file:

- QtCore/qxmlstream.h

QXmlStreamWriter QXmlStreamWriter QXmlStreamWriter QXmlStreamWriter QXmlStreamWriter QXmlStreamWriter QXmlStreamWriter QXmlStreamWriter QXmlStreamWriter QXmlStreamWriter
QXmlStreamWriter QXmlStreamWriter QXmlStreamWriter QXmlStreamWriter QXmlStreamWriter QXmlStreamWriter QXmlStreamWriter QXmlStreamWriter QXmlStreamWriter QXmlStreamWriter